Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 990709

Summary: [abrt] sushi-3.8.1-1.fc19: intel_miptree_map: Process /usr/libexec/sushi-start was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Michael Catanzaro <mcatanzaro>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: ajax, elad, mcatanzaro, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:4b91eebebfb4f9f3d4e4c0a414bc95e99c0a854e
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 16:29:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages
none
output of dmesg
none
Xorg log none

Description Michael Catanzaro 2013-07-31 19:54:45 UTC
Description of problem:
GNOME decided that every new window I open should be entirelly black (super serious bug).  Existing windows continued to work as usual.  I happened to have a Nautilus window open, so I tried to preview a document I was trying to view in Sushi.  Sushi crashed.  Maybe this can help track down the black window bug?

(Ultimately I had to restart my computer.)

Version-Release number of selected component:
sushi-3.8.1-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/sushi-start
crash_function: intel_miptree_map
executable:     /usr/libexec/sushi-start
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 intel_miptree_map at intel_mipmap_tree.c:2065
 #1 intel_map_renderbuffer at intel_fbo.c:135
 #2 map_attachment at ../../../src/mesa/swrast/s_renderbuffer.c:578
 #3 _swrast_map_renderbuffers at ../../../src/mesa/swrast/s_renderbuffer.c:652
 #4 _swrast_render_start at ../../../src/mesa/swrast/s_context.c:895
 #5 _swsetup_RenderStart at ../../../src/mesa/swrast_setup/ss_context.c:202
 #6 run_render at ../../../src/mesa/tnl/t_vb_render.c:276
 #7 _tnl_run_pipeline at ../../../src/mesa/tnl/t_pipeline.c:163
 #8 intelRunPipeline at intel_tris.c:1099
 #9 _tnl_draw_prims at ../../../src/mesa/tnl/t_draw.c:525

Potential duplicate: bug 980549

Comment 1 Michael Catanzaro 2013-07-31 19:54:49 UTC
Created attachment 781333 [details]
File: backtrace

Comment 2 Michael Catanzaro 2013-07-31 19:54:52 UTC
Created attachment 781334 [details]
File: cgroup

Comment 3 Michael Catanzaro 2013-07-31 19:54:56 UTC
Created attachment 781335 [details]
File: core_backtrace

Comment 4 Michael Catanzaro 2013-07-31 19:55:00 UTC
Created attachment 781336 [details]
File: dso_list

Comment 5 Michael Catanzaro 2013-07-31 19:55:03 UTC
Created attachment 781337 [details]
File: environ

Comment 6 Michael Catanzaro 2013-07-31 19:55:07 UTC
Created attachment 781339 [details]
File: limits

Comment 7 Michael Catanzaro 2013-07-31 19:55:14 UTC
Created attachment 781340 [details]
File: maps

Comment 8 Michael Catanzaro 2013-07-31 19:55:21 UTC
Created attachment 781341 [details]
File: open_fds

Comment 9 Michael Catanzaro 2013-07-31 19:55:25 UTC
Created attachment 781342 [details]
File: proc_pid_status

Comment 10 Michael Catanzaro 2013-07-31 19:55:29 UTC
Created attachment 781343 [details]
File: var_log_messages

Comment 11 Elad Alfassa 2013-07-31 21:06:19 UTC
This looks like a mesa bug, specifically with the intel driver. Can you provide more details about your hardware please?

Please attach output of the dmesg command, and /var/log/Xorg.0.log

Moving to xorg-x11-drv-intel. 

I'm not sure if your black window issue is directly related to that, but judging from the backtrace, it might be.

Comment 12 Michael Catanzaro 2013-08-01 19:32:56 UTC
Created attachment 781726 [details]
output of dmesg

Comment 13 Michael Catanzaro 2013-08-01 19:35:44 UTC
Created attachment 781728 [details]
Xorg log

Comment 14 Fedora End Of Life 2015-01-09 19:12:34 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-02-17 16:29:20 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.